summaryrefslogtreecommitdiffstats
path: root/test/name-test/run-test.sh
diff options
context:
space:
mode:
authorScott James Remnant <scott@ubuntu.com>2009-05-11 23:29:52 +0100
committerColin Walters <walters@verbum.org>2009-07-14 15:38:42 -0400
commit0539a23c661f028da63526996b6463ef342bb4f3 (patch)
treea02a4c05a9dfe230dbdfdc39577ab6e23b7be6e8 /test/name-test/run-test.sh
parent21b0ff273a69d19e505b71c263725302aa5b025f (diff)
Add tests for pending call timeouts
* test/test-service.c (handle_delay_echo, path_message_func): Add a variant of the Echo method which sleeps for a short time. * test/name-test/test-pending-call-timeout.c: Run tests with default, specified and infinite timeout to make sure we get the reply. * test/name-test/run-test.sh: Run the new test * test/name-test/Makefile.am: Build the new test Signed-off-by: Scott James Remnant <scott@ubuntu.com> (cherry picked from commit c1f165261afcc3bafa9b24ff916bb231628e3782)
Diffstat (limited to 'test/name-test/run-test.sh')
-rwxr-xr-xtest/name-test/run-test.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
index 3699bc9a..fba45584 100755
--- a/test/name-test/run-test.sh
+++ b/test/name-test/run-test.sh
@@ -39,6 +39,9 @@ ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-
echo "running test-pending-call-dispatch"
${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-dispatch || die "test-pending-call-dispatch failed"
+echo "running test-pending-call-timeout"
+${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-pending-call-timeout || die "test-pending-call-timeout failed"
+
echo "running test-threads-init"
${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-threads-init || die "test-threads-init failed"